XAMPP Warning: PHP Startup: Unable to load dynamic library

Hello everybody,

I'm french, so i'm sorry for my bad english.

I'm tryed to install phalcon on a wampp serveur running on windows 10.

I had follow this tutorial : https://docs.phalconphp.com/en/latest/reference/xampp.html, but phalcon isn't displayed in the localhost/xampp/index.php in the phpinfo().

when I launch the php.exe i have this error :

Warning: PHP Startup: Unable to load dynamic library 'D:\serveurxampp\php\ext\phpphalcon.dll' - Le module spécifié est introuvable.

pleaze can you help me ? I saw on internet that this framework is really fast.



4.0k
edited Jul '15

Maybe not phpphalcon.dll, but php_phalcon.dll? Check php.ini extension line. It must be extension=php_phalcon.dll (I guess).

thanks for the reply, I failed my copy paste ^^". After check, the error is : Warning: PHP Startup: Unable to load dynamic library 'D:\serveurxampp\php\ext\phpphalcon.dll' - Le module spécifié est introuvable.

I had add this line in php.ini

Check if u put right dll version for u: check PHP version and type (VC9 OR VC11)... and check is it for x32 or x64 bit. I use XAMPP and didnt have issues.

Thanks Boris for you're answer. how to check php version ? I know i have php in 86x because i try 64x and i had an issue telling me to put the 86x.

Sorry again for my bad english

edited Jul '15

Ok.. follow these steps (its so easy): 1. in htdocs folder (in xampp www folder - didnt remember which it is) create file like info.php which contain just:

<?php phpinfo(); ?>
  1. next step is to open it in browser : like http://localhost/info.php
  2. U will see php configuration
  3. Compare: - PHP version - first line (example: PHP Version 5.6.3), Architecture - is it 64 or x86 (example: x86), next u must see is "Compiler" & "PHP Extension Build" line: is something like this: MSVC11 (Visual C++ 2012) / API220131226,TS,VC11 - so that mean u must download phalcon for PHP 5.6 / 86 / VC11 version (not NTS )

And thats all :) And good luck :)

I ran into the same error message when I tried to use the NTS version dll. I switched to the thread safe dll (without NTS) and then could start xampp normally

Dasten, you could finally solve the problem?

edited 19d ago

Someone please help me, i was downloaded phpphalcon.dll _and i added extension=phpphalcon.php _in php.ini but xampp still can't found dll. capture